## freemedforms-project 0.7.6

=== Makefile ===
#############################################################################
# Makefile for building: libPrevention_debug.so
# Generated by qmake (2.01a) (Qt 4.7.4) on: sam. avr. 21 15:23:01 2012
# Project:  preventionplugin.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -config debug LOWERED_APPNAME=prevention -o Makefile preventionplugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_WEBKIT -DPREVENTION -DFULLAPPLICATION_BUILD -DBINARY_NAME="\"Prevention_debug\"" -DBUILD_PATH_POSTFIXE="\"Prevention\"" -DPACKAGE_VERSION="\"0.7.1\"" -DGIT_REVISION_HASH="\"b91dbaa1ed305d29b384034263e3a40eee8fa4f0\"" -DDEBUG -DQT_PLUGIN -DQT_SCRIPT_LIB -DQT_SVG_LIB -DQT_SQL_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -g -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtSvg -I/usr/include/qt4/QtScript -I/usr/include/qt4 -I../../../../plugins -I../../../../libs -I../../../../contrib -I../../../../contrib/quazip -I../../../../libs -I.. -I/usr/X11R6/include -I../../../../build/Prevention/Prevention_debug/.moc -I../../../../build/Prevention/.ui
LINK          = g++
LFLAGS        = -Wl,-z,origin '-Wl,-rpath,$$ORIGIN:$$ORIGIN/plugins/' -shared -Wl,-soname,libPrevention_debug.so
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib -L/home/pmddeb/freemedforms_pmd_git/freemedforms/buildspecs/../bin/prevention/plugins -lTranslationUtils_debug -lUtils_debug -lAggregation_debug -lExtensionSystem_debug -lquazip_debug -lCore_debug -lpthread -lQtScript -lQtSvg -lQtSql -lQtXml -lQtGui -lQtNetwork -lQtCore -lXext -lX11 -lm
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ../../../../build/Prevention/Prevention_debug/.obj/unix/

####### Files

SOURCES       = preferences/dateOfNextAction.cpp \
		preventionplugin.cpp \
		preventCore.cpp \
		preventIHM.cpp \
		preventIO.cpp \
		treeviewdelegate.cpp \
		moreIHM.cpp \
		survey.cpp \
		nextdateitemsdialog.cpp \
		connexion.cpp ../../../../build/Prevention/Prevention_debug/.moc/moc_dateOfNextAction.cpp \
		../../../../build/Prevention/Prevention_debug/.moc/moc_preventionplugin.cpp \
		../../../../build/Prevention/Prevention_debug/.moc/moc_preventCore.cpp \
		../../../../build/Prevention/Prevention_debug/.moc/moc_preventIHM.cpp \
		../../../../build/Prevention/Prevention_debug/.moc/moc_preventIO.cpp \
		../../../../build/Prevention/Prevention_debug/.moc/moc_treeviewdelegate.cpp \
		../../../../build/Prevention/Prevention_debug/.moc/moc_moreIHM.cpp \
		../../../../build/Prevention/Prevention_debug/.moc/moc_survey.cpp \
		../../../../build/Prevention/Prevention_debug/.moc/moc_nextdateitemsdialog.cpp \
		../../../../build/Prevention/Prevention_debug/.moc/moc_connexion.cpp
OBJECTS       = ../../../../build/Prevention/Prevention_debug/.obj/unix/dateOfNextAction.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/preventionplugin.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/preventCore.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/preventIHM.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/preventIO.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/treeviewdelegate.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/moreIHM.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/survey.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/nextdateitemsdialog.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/connexion.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/moc_dateOfNextAction.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/moc_preventionplugin.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/moc_preventCore.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/moc_preventIHM.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/moc_preventIO.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/moc_treeviewdelegate.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/moc_moreIHM.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/moc_survey.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/moc_nextdateitemsdialog.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/moc_connexion.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../../buildspecs/projectversion.pri \
		../../../../buildspecs/config_paths.pri \
		../../../../buildspecs/config_linux.pri \
		../../../../buildspecs/githash.pri \
		../../../../buildspecs/config.pri \
		../../../../libs/rpath.pri \
		../../../../plugins/fmf_plugins.pri \
		../../../../libs/translationutils.pri \
		../../../../libs/utils_dependencies.pri \
		../../../../libs/utils.pri \
		../../../../libs/aggregation.pri \
		../../../../libs/extensionsystem_dependencies.pri \
		../../../../libs/extensionsystem.pri \
		../../../../contrib/quazip/quazip_dependencies.pri \
		../../../../contrib/quazip/quazip.pri \
		../../../../plugins/coreplugin/coreplugin_dependencies.pri \
		../coreplugin/coreplugin_dependencies.pri \
		../coreplugin/coreplugin.pri \
		preventionplugin_dependencies.pri \
		preferences/prevention_preferences.pri \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		preventionplugin.pro
QMAKE_TARGET  = Prevention_debug
DESTDIR       = ../../../../bin/prevention/plugins/
TARGET        = libPrevention_debug.so
TARGETD       = libPrevention_debug.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../../../bin/prevention/plugins/$(TARGET)

../../../../bin/prevention/plugins/$(TARGET): ../../../../bin/prevention/plugins/Prevention.pluginspec ../../../../build/Prevention/.ui/ui_dateOfNextAction.h ../../../../build/Prevention/.ui/ui_prevent.h ../../../../build/Prevention/.ui/ui_nextdateitemsdialog.h ../../../../build/Prevention/.ui/ui_moreIHM.h $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../../../bin/prevention/plugins/ || $(MKDIR) ../../../../bin/prevention/plugins/ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../../../../bin/prevention/plugins/



Makefile: preventionplugin.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../../buildspecs/projectversion.pri \
		../../../../buildspecs/config_paths.pri \
		../../../../buildspecs/config_linux.pri \
		../../../../buildspecs/githash.pri \
		../../../../buildspecs/config.pri \
		../../../../libs/rpath.pri \
		../../../../plugins/fmf_plugins.pri \
		../../../../libs/translationutils.pri \
		../../../../libs/utils_dependencies.pri \
		../../../../libs/utils.pri \
		../../../../libs/aggregation.pri \
		../../../../libs/extensionsystem_dependencies.pri \
		../../../../libs/extensionsystem.pri \
		../../../../contrib/quazip/quazip_dependencies.pri \
		../../../../contrib/quazip/quazip.pri \
		../../../../plugins/coreplugin/coreplugin_dependencies.pri \
		../coreplugin/coreplugin_dependencies.pri \
		../coreplugin/coreplugin.pri \
		preventionplugin_dependencies.pri \
		preferences/prevention_preferences.pri \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtScript.prl \
		/usr/lib/libQtSvg.prl \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -config debug LOWERED_APPNAME=prevention -o Makefile preventionplugin.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
../../../../buildspecs/projectversion.pri:
../../../../buildspecs/config_paths.pri:
../../../../buildspecs/config_linux.pri:
../../../../buildspecs/githash.pri:
../../../../buildspecs/config.pri:
../../../../libs/rpath.pri:
../../../../plugins/fmf_plugins.pri:
../../../../libs/translationutils.pri:
../../../../libs/utils_dependencies.pri:
../../../../libs/utils.pri:
../../../../libs/aggregation.pri:
../../../../libs/extensionsystem_dependencies.pri:
../../../../libs/extensionsystem.pri:
../../../../contrib/quazip/quazip_dependencies.pri:
../../../../contrib/quazip/quazip.pri:
../../../../plugins/coreplugin/coreplugin_dependencies.pri:
../coreplugin/coreplugin_dependencies.pri:
../coreplugin/coreplugin.pri:
preventionplugin_dependencies.pri:
preferences/prevention_preferences.pri:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/unix/x11.prf:
/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:

=== appsrc/Makefile ===
#############################################################################
# Makefile for building: ../../../bin/prevention/prevention_debug
# Generated by qmake (2.01a) (Qt 4.7.4) on: jeu. avr. 12 10:22:32 2012
# Project:  appsrc.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -config debug LOWERED_APPNAME=prevention -o Makefile appsrc.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_WEBKIT -DFULLAPPLICATION_BUILD -DBINARY_NAME="\"prevention_debug\"" -DBUILD_PATH_POSTFIXE="\"\"" -DPACKAGE_VERSION="\"0.7.0\"" -DGIT_REVISION_HASH="\"fc406ad96e12a2790145ed0ffbfed1bf28ae3ca9\"" -DDEBUG -DQT_SVG_LIB -DQT_SQL_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -pipe -g -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtSvg -I/usr/include/qt4 -I../../../plugins -I../../../libs -I../../../contrib -I../../../contrib/quazip -I../../../libs -I/usr/X11R6/include -I../../../build/prevention_debug/.moc
LINK          = g++
LFLAGS        = -Wl,-z,origin '-Wl,-rpath,$$ORIGIN:$$ORIGIN/plugins/'
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib -L/home/pmddeb/freemedforms_pmd_git/freemedforms/buildspecs/../bin/prevention/plugins -lTranslationUtils_debug -lUtils_debug -lAggregation_debug -lExtensionSystem_debug -lpthread -lQtSvg -lQtSql -lQtXml -lQtGui -lQtNetwork -lQtCore -lXext -lX11 -lm
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ../../../build/prevention_debug/.obj/unix/

####### Files

SOURCES       = main.cpp 
OBJECTS       = ../../../build/prevention_debug/.obj/unix/main.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../buildspecs/projectversion.pri \
		../../../buildspecs/config_paths.pri \
		../../../buildspecs/config_linux.pri \
		../../../buildspecs/githash.pri \
		../../../buildspecs/config.pri \
		../../../libs/translationutils.pri \
		../../../libs/utils_dependencies.pri \
		../../../libs/utils.pri \
		../../../libs/translationutils.pri \
		../../../libs/aggregation.pri \
		../../../libs/aggregation.pri \
		../../../libs/extensionsystem_dependencies.pri \
		../../../libs/extensionsystem.pri \
		../../../libs/rpath.pri \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		appsrc.pro
QMAKE_TARGET  = prevention_debug
DESTDIR       = ../../../bin/prevention/
TARGET        = ../../../bin/prevention/prevention_debug

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	@$(CHK_DIR_EXISTS) ../../../bin/prevention/ || $(MKDIR) ../../../bin/prevention/ 
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: appsrc.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../buildspecs/projectversion.pri \
		../../../buildspecs/config_paths.pri \
		../../../buildspecs/config_linux.pri \
		../../../buildspecs/githash.pri \
		../../../buildspecs/config.pri \
		../../../libs/translationutils.pri \
		../../../libs/utils_dependencies.pri \
		../../../libs/utils.pri \
		../../../libs/translationutils.pri \
		../../../libs/aggregation.pri \
		../../../libs/aggregation.pri \
		../../../libs/extensionsystem_dependencies.pri \
		../../../libs/extensionsystem.pri \
		../../../libs/rpath.pri \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtSvg.prl \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -config debug LOWERED_APPNAME=prevention -o Makefile appsrc.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
../../../buildspecs/projectversion.pri:
../../../buildspecs/config_paths.pri:
../../../buildspecs/config_linux.pri:
../../../buildspecs/githash.pri:
../../../buildspecs/config.pri:
../../../libs/translationutils.pri:
../../../libs/utils_dependencies.pri:
../../../libs/utils.pri:
../../../libs/translationutils.pri:
../../../libs/aggregation.pri:
../../../libs/aggregation.pri:
../../../libs/extensionsystem_dependencies.pri:
../../../libs/extensionsystem.pri:
../../../libs/rpath.pri:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/unix/x11.prf:
/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtSvg.prl:
/usr/lib/libQtSql.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -config debug LOWERED_APPNAME=prevention -o Makefile appsrc.pro

dist: 
	@$(CHK_DIR_EXISTS) ../../../build/prevention_debug/.obj/unix/prevention_debug1.0.0 || $(MKDIR) ../../../build/prevention_debug/.obj/unix/prevention_debug1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) ../../../build/prevention_debug/.obj/unix/prevention_debug1.0.0/ && $(COPY_FILE) --parents main.cpp ../../../build/prevention_debug/.obj/unix/prevention_debug1.0.0/ && (cd `dirname ../../../build/prevention_debug/.obj/unix/prevention_debug1.0.0` && $(TAR) prevention_debug1.0.0.tar prevention_debug1.0.0 && $(COMPRESS) prevention_debug1.0.0.tar) && $(MOVE) `dirname ../../../build/prevention_debug/.obj/unix/prevention_debug1.0.0`/prevention_debug1.0.0.tar.gz . && $(DEL_FILE) -r ../../../build/prevention_debug/.obj/unix/prevention_debug1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: ../../../build/.ui/qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) ../../../build/.ui/qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: 

####### Compile

../../../build/prevention_debug/.obj/unix/main.o: main.cpp ../../../libs/extensionsystem/pluginmanager.h \
		../../../libs/extensionsystem/extensionsystem_global.h \
		../../../libs/aggregation/aggregate.h \
		../../../libs/aggregation/aggregation_global.h \
		../../../libs/extensionsystem/pluginspec.h \
		../../../libs/extensionsystem/iplugin.h \
		../../../libs/utils/log.h \
		../../../libs/utils/global_exporter.h \
		../../../libs/utils/database.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o ../../../build/prevention_debug/.obj/unix/main.o main.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== libs/Makefile ===
#############################################################################
# Makefile for building: libs
# Generated by qmake (2.01a) (Qt 4.7.4) on: jeu. avr. 12 10:22:31 2012
# Project:  libs.pro
# Template: subdirs
# Command: /usr/bin/qmake-qt4 -config debug LOWERED_APPNAME=prevention -o Makefile libs.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake-qt4
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub----------libs-translationutils \
		sub----------libs-aggregation \
		sub----------libs-extensionsystem \
		sub----------libs-utils \
		sub----------contrib-quazip \
		sub----------libs-datapackutils

../../../libs/translationutils//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) ../../../libs/translationutils/ || $(MKDIR) ../../../libs/translationutils/ 
	cd ../../../libs/translationutils/ && $(QMAKE) /home/pmddeb/freemedforms_pmd_git/freemedforms/libs/translationutils/translationutils.pro -config debug LOWERED_APPNAME=prevention -o $(MAKEFILE)
sub----------libs-translationutils-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) ../../../libs/translationutils/ || $(MKDIR) ../../../libs/translationutils/ 
	cd ../../../libs/translationutils/ && $(QMAKE) /home/pmddeb/freemedforms_pmd_git/freemedforms/libs/translationutils/translationutils.pro -config debug LOWERED_APPNAME=prevention -o $(MAKEFILE)
sub----------libs-translationutils: ../../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE)
sub----------libs-translationutils-make_default-ordered: ../../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) 
sub----------libs-translationutils-make_default: ../../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) 
sub----------libs-translationutils-make_first-ordered: ../../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) first
sub----------libs-translationutils-make_first: ../../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) first
sub----------libs-translationutils-all-ordered: ../../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) all
sub----------libs-translationutils-all: ../../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) all
sub----------libs-translationutils-clean-ordered: ../../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) clean
sub----------libs-translationutils-clean: ../../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) clean
sub----------libs-translationutils-distclean-ordered: ../../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) distclean
sub----------libs-translationutils-distclean: ../../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) distclean
sub----------libs-translationutils-install_subtargets-ordered: ../../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) install
sub----------libs-translationutils-install_subtargets: ../../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) install
sub----------libs-translationutils-uninstall_subtargets-ordered: ../../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) uninstall
sub----------libs-translationutils-uninstall_subtargets: ../../../libs/translationutils//$(MAKEFILE) FORCE
	cd ../../../libs/translationutils/ && $(MAKE) -f $(MAKEFILE) uninstall
../../../libs/aggregation//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) ../../../libs/aggregation/ || $(MKDIR) ../../../libs/aggregation/ 
	cd ../../../libs/aggregation/ && $(QMAKE) /home/pmddeb/freemedforms_pmd_git/freemedforms/libs/aggregation/aggregation.pro -config debug LOWERED_APPNAME=prevention -o $(MAKEFILE)
sub----------libs-aggregation-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) ../../../libs/aggregation/ || $(MKDIR) ../../../libs/aggregation/ 
	cd ../../../libs/aggregation/ && $(QMAKE) /home/pmddeb/freemedforms_pmd_git/freemedforms/libs/aggregation/aggregation.pro -config debug LOWERED_APPNAME=prevention -o $(MAKEFILE)
sub----------libs-aggregation: ../../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE)
sub----------libs-aggregation-make_default-ordered: ../../../libs/aggregation//$(MAKEFILE) sub----------libs-translationutils-make_default-ordered  FORCE
	cd ../../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) 
sub----------libs-aggregation-make_default: ../../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) 
sub----------libs-aggregation-make_first-ordered: ../../../libs/aggregation//$(MAKEFILE) sub----------libs-translationutils-make_first-ordered  FORCE
	cd ../../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) first
sub----------libs-aggregation-make_first: ../../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) first
sub----------libs-aggregation-all-ordered: ../../../libs/aggregation//$(MAKEFILE) sub----------libs-translationutils-all-ordered  FORCE
	cd ../../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) all
sub----------libs-aggregation-all: ../../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) all
sub----------libs-aggregation-clean-ordered: ../../../libs/aggregation//$(MAKEFILE) sub----------libs-translationutils-clean-ordered  FORCE
	cd ../../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) clean
sub----------libs-aggregation-clean: ../../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) clean
sub----------libs-aggregation-distclean-ordered: ../../../libs/aggregation//$(MAKEFILE) sub----------libs-translationutils-distclean-ordered  FORCE
	cd ../../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) distclean
sub----------libs-aggregation-distclean: ../../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) distclean
sub----------libs-aggregation-install_subtargets-ordered: ../../../libs/aggregation//$(MAKEFILE) sub----------libs-translationutils-install_subtargets-ordered  FORCE
	cd ../../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) install
sub----------libs-aggregation-install_subtargets: ../../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) install
sub----------libs-aggregation-uninstall_subtargets-ordered: ../../../libs/aggregation//$(MAKEFILE) sub----------libs-translationutils-uninstall_subtargets-ordered  FORCE
	cd ../../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) uninstall
sub----------libs-aggregation-uninstall_subtargets: ../../../libs/aggregation//$(MAKEFILE) FORCE
	cd ../../../libs/aggregation/ && $(MAKE) -f $(MAKEFILE) uninstall
../../../libs/extensionsystem//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) ../../../libs/extensionsystem/ || $(MKDIR) ../../../libs/extensionsystem/ 
	cd ../../../libs/extensionsystem/ && $(QMAKE) /home/pmddeb/freemedforms_pmd_git/freemedforms/libs/extensionsystem/extensionsystem.pro -config debug LOWERED_APPNAME=prevention -o $(MAKEFILE)
sub----------libs-extensionsystem-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) ../../../libs/extensionsystem/ || $(MKDIR) ../../../libs/extensionsystem/ 
	cd ../../../libs/extensionsystem/ && $(QMAKE) /home/pmddeb/freemedforms_pmd_git/freemedforms/libs/extensionsystem/extensionsystem.pro -config debug LOWERED_APPNAME=prevention -o $(MAKEFILE)
sub----------libs-extensionsystem: ../../../libs/extensionsystem//$(MAKEFILE) FORCE
	cd ../../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE)
sub----------libs-extensionsystem-make_default-ordered: ../../../libs/extensionsystem//$(MAKEFILE) sub----------libs-aggregation-make_default-ordered  FORCE
	cd ../../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) 
sub----------libs-extensionsystem-make_default: ../../../libs/extensionsystem//$(MAKEFILE) FORCE
	cd ../../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) 
sub----------libs-extensionsystem-make_first-ordered: ../../../libs/extensionsystem//$(MAKEFILE) sub----------libs-aggregation-make_first-ordered  FORCE
	cd ../../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) first
sub----------libs-extensionsystem-make_first: ../../../libs/extensionsystem//$(MAKEFILE) FORCE
	cd ../../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) first
sub----------libs-extensionsystem-all-ordered: ../../../libs/extensionsystem//$(MAKEFILE) sub----------libs-aggregation-all-ordered  FORCE
	cd ../../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) all
sub----------libs-extensionsystem-all: ../../../libs/extensionsystem//$(MAKEFILE) FORCE
	cd ../../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) all
sub----------libs-extensionsystem-clean-ordered: ../../../libs/extensionsystem//$(MAKEFILE) sub----------libs-aggregation-clean-ordered  FORCE
	cd ../../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) clean
sub----------libs-extensionsystem-clean: ../../../libs/extensionsystem//$(MAKEFILE) FORCE
	cd ../../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) clean
sub----------libs-extensionsystem-distclean-ordered: ../../../libs/extensionsystem//$(MAKEFILE) sub----------libs-aggregation-distclean-ordered  FORCE
	cd ../../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) distclean
sub----------libs-extensionsystem-distclean: ../../../libs/extensionsystem//$(MAKEFILE) FORCE
	cd ../../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) distclean
sub----------libs-extensionsystem-install_subtargets-ordered: ../../../libs/extensionsystem//$(MAKEFILE) sub----------libs-aggregation-install_subtargets-ordered  FORCE
	cd ../../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) install
sub----------libs-extensionsystem-install_subtargets: ../../../libs/extensionsystem//$(MAKEFILE) FORCE
	cd ../../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) install
sub----------libs-extensionsystem-uninstall_subtargets-ordered: ../../../libs/extensionsystem//$(MAKEFILE) sub----------libs-aggregation-uninstall_subtargets-ordered  FORCE
	cd ../../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) uninstall
sub----------libs-extensionsystem-uninstall_subtargets: ../../../libs/extensionsystem//$(MAKEFILE) FORCE
	cd ../../../libs/extensionsystem/ && $(MAKE) -f $(MAKEFILE) uninstall
../../../libs/utils//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) ../../../libs/utils/ || $(MKDIR) ../../../libs/utils/ 
	cd ../../../libs/utils/ && $(QMAKE) /home/pmddeb/freemedforms_pmd_git/freemedforms/libs/utils/utils.pro -config debug LOWERED_APPNAME=prevention -o $(MAKEFILE)
sub----------libs-utils-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) ../../../libs/utils/ || $(MKDIR) ../../../libs/utils/ 
	cd ../../../libs/utils/ && $(QMAKE) /home/pmddeb/freemedforms_pmd_git/freemedforms/libs/utils/utils.pro -config debug LOWERED_APPNAME=prevention -o $(MAKEFILE)
sub----------libs-utils: ../../../libs/utils//$(MAKEFILE) FORCE
	cd ../../../libs/utils/ && $(MAKE) -f $(MAKEFILE)
sub----------libs-utils-make_default-ordered: ../../../libs/utils//$(MAKEFILE) sub----------libs-extensionsystem-make_default-ordered  FORCE
	cd ../../../libs/utils/ && $(MAKE) -f $(MAKEFILE)

=== plugins/Makefile ===
#############################################################################
# Makefile for building: plugins
# Generated by qmake (2.01a) (Qt 4.7.4) on: jeu. avr. 12 10:22:32 2012
# Project:  plugins.pro
# Template: subdirs
# Command: /usr/bin/qmake-qt4 -config debug LOWERED_APPNAME=prevention -o Makefile plugins.pro
#############################################################################

first: make_default
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake-qt4
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_PROGRAM = install -m 755 -p
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		sub-coreplugin \
		sub-preventionplugin

coreplugin//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) coreplugin/ || $(MKDIR) coreplugin/ 
	cd coreplugin/ && $(QMAKE) /home/pmddeb/freemedforms_pmd_git/freemedforms/tests/prevention/plugins/coreplugin/coreplugin.pro -config debug LOWERED_APPNAME=prevention -o $(MAKEFILE)
sub-coreplugin-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) coreplugin/ || $(MKDIR) coreplugin/ 
	cd coreplugin/ && $(QMAKE) /home/pmddeb/freemedforms_pmd_git/freemedforms/tests/prevention/plugins/coreplugin/coreplugin.pro -config debug LOWERED_APPNAME=prevention -o $(MAKEFILE)
sub-coreplugin: coreplugin//$(MAKEFILE) FORCE
	cd coreplugin/ && $(MAKE) -f $(MAKEFILE)
sub-coreplugin-make_default: coreplugin//$(MAKEFILE) FORCE
	cd coreplugin/ && $(MAKE) -f $(MAKEFILE) 
sub-coreplugin-make_first: coreplugin//$(MAKEFILE) FORCE
	cd coreplugin/ && $(MAKE) -f $(MAKEFILE) first
sub-coreplugin-all: coreplugin//$(MAKEFILE) FORCE
	cd coreplugin/ && $(MAKE) -f $(MAKEFILE) all
sub-coreplugin-clean: coreplugin//$(MAKEFILE) FORCE
	cd coreplugin/ && $(MAKE) -f $(MAKEFILE) clean
sub-coreplugin-distclean: coreplugin//$(MAKEFILE) FORCE
	cd coreplugin/ && $(MAKE) -f $(MAKEFILE) distclean
sub-coreplugin-install_subtargets: coreplugin//$(MAKEFILE) FORCE
	cd coreplugin/ && $(MAKE) -f $(MAKEFILE) install
sub-coreplugin-uninstall_subtargets: coreplugin//$(MAKEFILE) FORCE
	cd coreplugin/ && $(MAKE) -f $(MAKEFILE) uninstall
preventionplugin//$(MAKEFILE): 
	@$(CHK_DIR_EXISTS) preventionplugin/ || $(MKDIR) preventionplugin/ 
	cd preventionplugin/ && $(QMAKE) /home/pmddeb/freemedforms_pmd_git/freemedforms/tests/prevention/plugins/preventionplugin/preventionplugin.pro -config debug LOWERED_APPNAME=prevention -o $(MAKEFILE)
sub-preventionplugin-qmake_all:  FORCE
	@$(CHK_DIR_EXISTS) preventionplugin/ || $(MKDIR) preventionplugin/ 
	cd preventionplugin/ && $(QMAKE) /home/pmddeb/freemedforms_pmd_git/freemedforms/tests/prevention/plugins/preventionplugin/preventionplugin.pro -config debug LOWERED_APPNAME=prevention -o $(MAKEFILE)
sub-preventionplugin: preventionplugin//$(MAKEFILE) sub-coreplugin FORCE
	cd preventionplugin/ && $(MAKE) -f $(MAKEFILE)
sub-preventionplugin-make_default: preventionplugin//$(MAKEFILE) sub-coreplugin-make_default FORCE
	cd preventionplugin/ && $(MAKE) -f $(MAKEFILE) 
sub-preventionplugin-make_first: preventionplugin//$(MAKEFILE) sub-coreplugin-make_first FORCE
	cd preventionplugin/ && $(MAKE) -f $(MAKEFILE) first
sub-preventionplugin-all: preventionplugin//$(MAKEFILE) sub-coreplugin-all FORCE
	cd preventionplugin/ && $(MAKE) -f $(MAKEFILE) all
sub-preventionplugin-clean: preventionplugin//$(MAKEFILE) sub-coreplugin-clean FORCE
	cd preventionplugin/ && $(MAKE) -f $(MAKEFILE) clean
sub-preventionplugin-distclean: preventionplugin//$(MAKEFILE) sub-coreplugin-distclean FORCE
	cd preventionplugin/ && $(MAKE) -f $(MAKEFILE) distclean
sub-preventionplugin-install_subtargets: preventionplugin//$(MAKEFILE) sub-coreplugin-install_subtargets FORCE
	cd preventionplugin/ && $(MAKE) -f $(MAKEFILE) install
sub-preventionplugin-uninstall_subtargets: preventionplugin//$(MAKEFILE) sub-coreplugin-uninstall_subtargets FORCE
	cd preventionplugin/ && $(MAKE) -f $(MAKEFILE) uninstall

Makefile: plugins.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf
	$(QMAKE) -config debug LOWERED_APPNAME=prevention -o Makefile plugins.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
qmake: qmake_all FORCE
	@$(QMAKE) -config debug LOWERED_APPNAME=prevention -o Makefile plugins.pro

qmake_all: sub-coreplugin-qmake_all sub-preventionplugin-qmake_all FORCE

make_default: sub-coreplugin-make_default sub-preventionplugin-make_default FORCE
make_first: sub-coreplugin-make_first sub-preventionplugin-make_first FORCE
all: sub-coreplugin-all sub-preventionplugin-all FORCE
clean: sub-coreplugin-clean sub-preventionplugin-clean FORCE
distclean: sub-coreplugin-distclean sub-preventionplugin-distclean FORCE
	-$(DEL_FILE) Makefile
install_subtargets: sub-coreplugin-install_subtargets sub-preventionplugin-install_subtargets FORCE
uninstall_subtargets: sub-coreplugin-uninstall_subtargets sub-preventionplugin-uninstall_subtargets FORCE

sub-coreplugin-check: coreplugin/$(MAKEFILE)
	cd coreplugin/ && $(MAKE) check
sub-preventionplugin-check: preventionplugin/$(MAKEFILE) sub-coreplugin-check
	cd preventionplugin/ && $(MAKE) check
check: sub-coreplugin-check sub-preventionplugin-check

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all
install: install_subtargets  FORCE

uninstall:  uninstall_subtargets FORCE

FORCE:

=== plugins/coreplugin/Makefile ===
#############################################################################
# Makefile for building: libCore_debug.so
# Generated by qmake (2.01a) (Qt 4.7.4) on: jeu. avr. 12 10:22:32 2012
# Project:  coreplugin.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -config debug LOWERED_APPNAME=prevention -o Makefile coreplugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_WEBKIT -DPREVENTION -DFULLAPPLICATION_BUILD -DBINARY_NAME="\"Core_debug\"" -DBUILD_PATH_POSTFIXE="\"Prevention\"" -DPACKAGE_VERSION="\"0.7.0\"" -DGIT_REVISION_HASH="\"fc406ad96e12a2790145ed0ffbfed1bf28ae3ca9\"" -DDEBUG -DCORE_LIBRARY -DQT_PLUGIN -DQT_SCRIPT_LIB -DQT_SVG_LIB -DQT_SQL_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -g -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtSvg -I/usr/include/qt4/QtScript -I/usr/include/qt4 -I../../../../plugins -I../../../../libs -I../../../../contrib -I../../../../contrib/quazip -I../../../../libs -I.. -I/usr/X11R6/include -I../../../../build/Prevention/Core_debug/.moc -I../../../../build/Prevention/.ui
LINK          = g++
LFLAGS        = -Wl,-z,origin '-Wl,-rpath,$$ORIGIN:$$ORIGIN/plugins/' -shared -Wl,-soname,libCore_debug.so
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib -L/home/pmddeb/freemedforms_pmd_git/freemedforms/buildspecs/../bin/prevention/plugins -lAggregation_debug -lExtensionSystem_debug -lTranslationUtils_debug -lUtils_debug -lquazip_debug -lpthread -lQtScript -lQtSvg -lQtSql -lQtXml -lQtGui -lQtNetwork -lQtCore -lXext -lX11 -lm
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ../../../../build/Prevention/Core_debug/.obj/unix/

####### Files

SOURCES       = ../../../../plugins/coreplugin/actionmanager/command.cpp \
		../../../../plugins/coreplugin/actionmanager/actionmanager.cpp \
		../../../../plugins/coreplugin/actionmanager/actioncontainer.cpp \
		../../../../plugins/coreplugin/actionmanager/mainwindowactionhandler.cpp \
		../../../../plugins/coreplugin/modemanager/basemode.cpp \
		../../../../plugins/coreplugin/modemanager/modemanager.cpp \
		../../../../plugins/coreplugin/contextmanager/contextmanager.cpp \
		../../../../plugins/coreplugin/dialogs/aboutdialog.cpp \
		../../../../plugins/coreplugin/dialogs/commonaboutpages.cpp \
		../../../../plugins/coreplugin/dialogs/debugdialog.cpp \
		../../../../plugins/coreplugin/dialogs/commondebugpages.cpp \
		../../../../plugins/coreplugin/dialogs/plugindialog.cpp \
		../../../../plugins/coreplugin/dialogs/settingsdialog.cpp \
		../../../../plugins/coreplugin/dialogs/pluginaboutpage.cpp \
		../../../../plugins/coreplugin/dialogs/helpdialog.cpp \
		../../../../plugins/coreplugin/dialogs/applicationgeneralpreferences.cpp \
		../../../../plugins/coreplugin/dialogs/simpletextdialog.cpp \
		../../../../plugins/coreplugin/dialogs/serverpreferenceswidget.cpp \
		../../../../plugins/coreplugin/dialogs/pagewidget.cpp \
		../../../../plugins/coreplugin/dialogs/networkpreferences.cpp \
		../../../../plugins/coreplugin/uniqueidmanager.cpp \
		../../../../plugins/coreplugin/icore.cpp \
		../../../../plugins/coreplugin/theme.cpp \
		../../../../plugins/coreplugin/translators.cpp \
		../../../../plugins/coreplugin/settings.cpp \
		../../../../plugins/coreplugin/imainwindow.cpp \
		../../../../plugins/coreplugin/filemanager.cpp \
		../../../../plugins/coreplugin/ipatient.cpp \
		../../../../plugins/coreplugin/iuser.cpp \
		../../../../plugins/coreplugin/idocumentprinter.cpp \
		coreimpl.cpp \
		appaboutpage.cpp \
		coreplugin.cpp \
		commandlineparser.cpp \
		mainwindow.cpp ../../../../build/Prevention/Core_debug/.moc/moc_command_p.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_command.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_actionmanager_p.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_actionmanager.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_mainwindowactionhandler.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_imode.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_basemode.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_modemanager.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_contextmanager_p.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_contextmanager.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_aboutdialog.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_commonaboutpages.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_debugdialog.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_commondebugpages.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_plugindialog.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_settingsdialog.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_pluginaboutpage.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_helpdialog.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_applicationgeneralpreferences.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_simpletextdialog.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_serverpreferenceswidget.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_pagewidget.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_networkpreferences.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_icore.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_icorelistener.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_itheme.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_theme.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_translators.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_isettings.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_settings_p.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_idebugpage.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_iaboutpage.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_ioptionspage.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_imainwindow.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_filemanager.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_ipatient.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_iuser.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_idocumentprinter.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_icommandline.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_ipadtools.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_icalendar.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_ifirstconfigurationpage.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_ipatientlistener.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_igenericpage.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_iscriptmanager.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_coreimpl.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_appaboutpage.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_coreplugin.cpp \
		../../../../build/Prevention/Core_debug/.moc/moc_mainwindow.cpp
OBJECTS       = ../../../../build/Prevention/Core_debug/.obj/unix/command.o \
		../../../../build/Prevention/Core_debug/.obj/unix/actionmanager.o \
		../../../../build/Prevention/Core_debug/.obj/unix/actioncontainer.o \
		../../../../build/Prevention/Core_debug/.obj/unix/mainwindowactionhandler.o \
		../../../../build/Prevention/Core_debug/.obj/unix/basemode.o \
		../../../../build/Prevention/Core_debug/.obj/unix/modemanager.o \
		../../../../build/Prevention/Core_debug/.obj/unix/contextmanager.o \
		../../../../build/Prevention/Core_debug/.obj/unix/aboutdialog.o \
		../../../../build/Prevention/Core_debug/.obj/unix/commonaboutpages.o \
		../../../../build/Prevention/Core_debug/.obj/unix/debugdialog.o \
		../../../../build/Prevention/Core_debug/.obj/unix/commondebugpages.o \
		../../../../build/Prevention/Core_debug/.obj/unix/plugindialog.o \
		../../../../build/Prevention/Core_debug/.obj/unix/settingsdialog.o \
		../../../../build/Prevention/Core_debug/.obj/unix/pluginaboutpage.o \
		../../../../build/Prevention/Core_debug/.obj/unix/helpdialog.o \
		../../../../build/Prevention/Core_debug/.obj/unix/applicationgeneralpreferences.o \
		../../../../build/Prevention/Core_debug/.obj/unix/simpletextdialog.o \
		../../../../build/Prevention/Core_debug/.obj/unix/serverpreferenceswidget.o \
		../../../../build/Prevention/Core_debug/.obj/unix/pagewidget.o \
		../../../../build/Prevention/Core_debug/.obj/unix/networkpreferences.o \
		../../../../build/Prevention/Core_debug/.obj/unix/uniqueidmanager.o \
		../../../../build/Prevention/Core_debug/.obj/unix/icore.o \
		../../../../build/Prevention/Core_debug/.obj/unix/theme.o \
		../../../../build/Prevention/Core_debug/.obj/unix/translators.o \
		../../../../build/Prevention/Core_debug/.obj/unix/settings.o \
		../../../../build/Prevention/Core_debug/.obj/unix/imainwindow.o \
		../../../../build/Prevention/Core_debug/.obj/unix/filemanager.o \
		../../../../build/Prevention/Core_debug/.obj/unix/ipatient.o \
		../../../../build/Prevention/Core_debug/.obj/unix/iuser.o \
		../../../../build/Prevention/Core_debug/.obj/unix/idocumentprinter.o \
		../../../../build/Prevention/Core_debug/.obj/unix/coreimpl.o \
		../../../../build/Prevention/Core_debug/.obj/unix/appaboutpage.o \
		../../../../build/Prevention/Core_debug/.obj/unix/coreplugin.o \
		../../../../build/Prevention/Core_debug/.obj/unix/commandlineparser.o \
		../../../../build/Prevention/Core_debug/.obj/unix/mainwindow.o \
		../../../../build/Prevention/Core_debug/.obj/unix/moc_command_p.o \
		../../../../build/Prevention/Core_debug/.obj/unix/moc_command.o \
		../../../../build/Prevention/Core_debug/.obj/unix/moc_actionmanager_p.o \
		../../../../build/Prevention/Core_debug/.obj/unix/moc_actionmanager.o \
		../../../../build/Prevention/Core_debug/.obj/unix/moc_mainwindowactionhandler.o \
		../../../../build/Prevention/Core_debug/.obj/unix/moc_imode.o \
		../../../../build/Prevention/Core_debug/.obj/unix/moc_basemode.o \
		../../../../build/Prevention/Core_debug/.obj/unix/moc_modemanager.o \
		../../../../build/Prevention/Core_debug/.obj/unix/moc_contextmanager_p.o \
		../../../../build/Prevention/Core_debug/.obj/unix/moc_contextmanager.o \
		../../../../build/Prevention/Core_debug/.obj/unix/moc_aboutdialog.o \
		../../../../build/Prevention/Core_debug/.obj/unix/moc_commonaboutpages.o \
		../../../../build/Prevention/Core_debug/.obj/unix/moc_debugdialog.o \
		../../../../build/Prevention/Core_debug/.obj/unix/moc_commondebugpages.o \
		../../../../build/Prevention/Core_debug/.obj/unix/moc_plugindialog.o \
		../../../../build/Prevention/Core_debug/.obj/unix/moc_settingsdialog.o \
		../../../../build/Prevention/Core_debug/.obj/unix/moc_pluginaboutpage.o \
		../../../../build/Prevention/Core_debug/.obj/unix/moc_helpdialog.o \
		../../../../build/Prevention/Core_debug/.obj/unix/moc_applicationgeneralpreferences.o \
		../../../../build/Prevention/Core_debug/.obj/unix/moc_simpletextdialog.o \
		../../../../build/Prevention/Core_debug/.obj/unix/moc_serverpreferenceswidget.o \
		../../../../build/Prevention/Core_debug/.obj/unix/moc_pagewidget.o \

=== plugins/preventionplugin/Makefile ===
#############################################################################
# Makefile for building: libPrevention_debug.so
# Generated by qmake (2.01a) (Qt 4.7.4) on: jeu. avr. 12 10:22:32 2012
# Project:  preventionplugin.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -config debug LOWERED_APPNAME=prevention -o Makefile preventionplugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_WEBKIT -DPREVENTION -DFULLAPPLICATION_BUILD -DBINARY_NAME="\"Prevention_debug\"" -DBUILD_PATH_POSTFIXE="\"Prevention\"" -DPACKAGE_VERSION="\"0.7.0\"" -DGIT_REVISION_HASH="\"fc406ad96e12a2790145ed0ffbfed1bf28ae3ca9\"" -DDEBUG -DQT_PLUGIN -DQT_SCRIPT_LIB -DQT_SVG_LIB -DQT_SQL_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -D_REENTRANT -Wall -W -fPIC $(DEFINES)
CXXFLAGS      = -pipe -g -D_REENTRANT -Wall -W -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtSvg -I/usr/include/qt4/QtScript -I/usr/include/qt4 -I../../../../plugins -I../../../../libs -I../../../../contrib -I../../../../contrib/quazip -I../../../../libs -I.. -I/usr/X11R6/include -I../../../../build/Prevention/Prevention_debug/.moc -I../../../../build/Prevention/.ui
LINK          = g++
LFLAGS        = -Wl,-z,origin '-Wl,-rpath,$$ORIGIN:$$ORIGIN/plugins/' -shared -Wl,-soname,libPrevention_debug.so
LIBS          = $(SUBLIBS)  -L/usr/X11R6/lib -L/usr/lib -L/home/pmddeb/freemedforms_pmd_git/freemedforms/buildspecs/../bin/prevention/plugins -lTranslationUtils_debug -lUtils_debug -lAggregation_debug -lExtensionSystem_debug -lquazip_debug -lCore_debug -lpthread -lQtScript -lQtSvg -lQtSql -lQtXml -lQtGui -lQtNetwork -lQtCore -lXext -lX11 -lm
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ../../../../build/Prevention/Prevention_debug/.obj/unix/

####### Files

SOURCES       = preferences/dateOfNextAction.cpp \
		preventionplugin.cpp \
		preventCore.cpp \
		preventIHM.cpp \
		preventIO.cpp \
		treeviewdelegate.cpp \
		moreIHM.cpp \
		survey.cpp \
		nextdateitemsdialog.cpp \
		connexion.cpp ../../../../build/Prevention/Prevention_debug/.moc/moc_dateOfNextAction.cpp \
		../../../../build/Prevention/Prevention_debug/.moc/moc_preventionplugin.cpp \
		../../../../build/Prevention/Prevention_debug/.moc/moc_preventCore.cpp \
		../../../../build/Prevention/Prevention_debug/.moc/moc_preventIHM.cpp \
		../../../../build/Prevention/Prevention_debug/.moc/moc_preventIO.cpp \
		../../../../build/Prevention/Prevention_debug/.moc/moc_treeviewdelegate.cpp \
		../../../../build/Prevention/Prevention_debug/.moc/moc_moreIHM.cpp \
		../../../../build/Prevention/Prevention_debug/.moc/moc_survey.cpp \
		../../../../build/Prevention/Prevention_debug/.moc/moc_nextdateitemsdialog.cpp \
		../../../../build/Prevention/Prevention_debug/.moc/moc_connexion.cpp
OBJECTS       = ../../../../build/Prevention/Prevention_debug/.obj/unix/dateOfNextAction.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/preventionplugin.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/preventCore.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/preventIHM.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/preventIO.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/treeviewdelegate.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/moreIHM.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/survey.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/nextdateitemsdialog.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/connexion.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/moc_dateOfNextAction.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/moc_preventionplugin.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/moc_preventCore.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/moc_preventIHM.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/moc_preventIO.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/moc_treeviewdelegate.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/moc_moreIHM.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/moc_survey.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/moc_nextdateitemsdialog.o \
		../../../../build/Prevention/Prevention_debug/.obj/unix/moc_connexion.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../../buildspecs/projectversion.pri \
		../../../../buildspecs/config_paths.pri \
		../../../../buildspecs/config_linux.pri \
		../../../../buildspecs/githash.pri \
		../../../../buildspecs/config.pri \
		../../../../libs/rpath.pri \
		../../../../plugins/fmf_plugins.pri \
		../../../../libs/translationutils.pri \
		../../../../libs/utils_dependencies.pri \
		../../../../libs/utils.pri \
		../../../../libs/aggregation.pri \
		../../../../libs/extensionsystem_dependencies.pri \
		../../../../libs/extensionsystem.pri \
		../../../../contrib/quazip/quazip_dependencies.pri \
		../../../../contrib/quazip/quazip.pri \
		../../../../plugins/coreplugin/coreplugin_dependencies.pri \
		../coreplugin/coreplugin_dependencies.pri \
		../coreplugin/coreplugin.pri \
		preventionplugin_dependencies.pri \
		preferences/prevention_preferences.pri \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		preventionplugin.pro
QMAKE_TARGET  = Prevention_debug
DESTDIR       = ../../../../bin/prevention/plugins/
TARGET        = libPrevention_debug.so
TARGETD       = libPrevention_debug.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  ../../../../bin/prevention/plugins/$(TARGET)

../../../../bin/prevention/plugins/$(TARGET): ../../../../bin/prevention/plugins/Prevention.pluginspec ../../../../build/Prevention/.ui/ui_dateOfNextAction.h ../../../../build/Prevention/.ui/ui_prevent.h ../../../../build/Prevention/.ui/ui_nextdateitemsdialog.h ../../../../build/Prevention/.ui/ui_moreIHM.h $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	@$(CHK_DIR_EXISTS) ../../../../bin/prevention/plugins/ || $(MKDIR) ../../../../bin/prevention/plugins/ 
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-$(MOVE) $(TARGET) ../../../../bin/prevention/plugins/



Makefile: preventionplugin.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../../../../buildspecs/projectversion.pri \
		../../../../buildspecs/config_paths.pri \
		../../../../buildspecs/config_linux.pri \
		../../../../buildspecs/githash.pri \
		../../../../buildspecs/config.pri \
		../../../../libs/rpath.pri \
		../../../../plugins/fmf_plugins.pri \
		../../../../libs/translationutils.pri \
		../../../../libs/utils_dependencies.pri \
		../../../../libs/utils.pri \
		../../../../libs/aggregation.pri \
		../../../../libs/extensionsystem_dependencies.pri \
		../../../../libs/extensionsystem.pri \
		../../../../contrib/quazip/quazip_dependencies.pri \
		../../../../contrib/quazip/quazip.pri \
		../../../../plugins/coreplugin/coreplugin_dependencies.pri \
		../coreplugin/coreplugin_dependencies.pri \
		../coreplugin/coreplugin.pri \
		preventionplugin_dependencies.pri \
		preferences/prevention_preferences.pri \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/unix/x11.prf \
		/usr/share/qt4/mkspecs/features/unix/x11inc.prf \
		/usr/share/qt4/mkspecs/features/unix/x11lib.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtScript.prl \
		/usr/lib/libQtSvg.prl \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -config debug LOWERED_APPNAME=prevention -o Makefile preventionplugin.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/modules/qt_webkit_version.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
../../../../buildspecs/projectversion.pri:
../../../../buildspecs/config_paths.pri:
../../../../buildspecs/config_linux.pri:
../../../../buildspecs/githash.pri:
../../../../buildspecs/config.pri:
../../../../libs/rpath.pri:
../../../../plugins/fmf_plugins.pri:
../../../../libs/translationutils.pri:
../../../../libs/utils_dependencies.pri:
../../../../libs/utils.pri:
../../../../libs/aggregation.pri:
../../../../libs/extensionsystem_dependencies.pri:
../../../../libs/extensionsystem.pri:
../../../../contrib/quazip/quazip_dependencies.pri:
../../../../contrib/quazip/quazip.pri:
../../../../plugins/coreplugin/coreplugin_dependencies.pri:
../coreplugin/coreplugin_dependencies.pri:
../coreplugin/coreplugin.pri:
preventionplugin_dependencies.pri:
preferences/prevention_preferences.pri:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/unix/x11.prf:
/usr/share/qt4/mkspecs/features/unix/x11inc.prf:
/usr/share/qt4/mkspecs/features/unix/x11lib.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:

=== debian/changelog ===
freemedforms-project (0.7.6-1) unstable; urgency=low

  [ Eric Maeker ]
  * new upstream

 -- Andreas Tille <tille@debian.org>  Fri, 29 Jun 2012 08:27:11 +0200

freemedforms-project (0.7.5-1) unstable; urgency=low

  [ Eric Maeker ]
  * new upstream
    Closes: #678152
  * debian/rules: 
    * using buildsystem=qmake_qt4
    * using dh_auto*
  * debian/control: 
    * adding a new experiment debug package
    * rewording descriptions (Closes: #678257)
    * removing freemedforms-emr-resources/freemedforms-freedata dependency

  [ Andreas Tille ]
  * Do not yet upload the debug package (comments in debian/control)
    to enable the package propagating into the next stable release)

 -- Andreas Tille <tille@debian.org>  Wed, 27 Jun 2012 21:27:11 +0200

freemedforms-project (0.7.4-2) unstable; urgency=low

  [ Eric Maeker ]
  * debian/rules: remove empty dirs
  * debian/*.1: hyphen/minus correction
  * debian/*.lintian-overrides: updated

  [ Andreas Tille ] 
  * debian/control: Fix relations between freemedforms-emr-resources and
    freemedforms-freedata (Closes: #676342)

 -- Andreas Tille <tille@debian.org>  Thu, 14 Jun 2012 15:18:52 +0200

freemedforms-project (0.7.4-1) unstable; urgency=low

  [ Eric Maeker ]
  * New upstream
  * debian/copyright: files licensed CC-BY-SA-2.0 were removed 
    from the source package (Closes: #675276)

  [ Andreas Tille ]
  * Adjusted lintian overrides to new upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 04 Jun 2012 09:08:45 +0200

freemedforms-project (0.7.3-1) UNRELEASED; urgency=low

  [ Eric Maeker ]
  * New upstream

  [ Andreas Tille ]
  * debian/patches/delete_rpath.patch: Try to avoid RPATH issue but
    failed
  * debian/freemedforms-libs.lintian-overrides: Updated to new version
  * debian/freeaccount.lintian-overrides: Added missing overrides

 -- Andreas Tille <tille@debian.org>  Mon, 28 May 2012 22:12:58 +0200

freemedforms-project (0.7.2-1) UNRELEASED; urgency=low

  * New upstream
  * debian/rules: adding freeaccount application build process
  * debian/control: 
     1. adding the freeaccount package
     2. redefining the freemedforms-libs Qt4 dependencies
  * debian/freeaccount*: freeaccount files

 -- Eric Maeker <eric.maeker@gmail.com>  Tue, 15 May 2012 22:46:22 +0200

freemedforms-project (0.7.1-1) unstable; urgency=low

  * New upstream which serves two purposes:
     1. close ITP for freemedforms (Closes: #631921)
     2. reintroduce freediams which is bundled in this upstream release
        and thus close an old bug of this package (Closes: #648705)
  * debian/rules: fixed clean target
  * debian/freemedforms-libs.lintian-overrides: Adapted version number
  * debian/copyright: Slight changes done via `cme fix dpkg-copyright`
  * debian/{control+compat}: debhelper 9
  * debian/changelog: In Debian the package was formerly known as freediams and
    thus we should keep the package changelog here.  The other history of
    freemedforms packaging is irrelevant for the Debian package because it was
    never uploaded before

 -- Andreas Tille <tille@debian.org>  Tue, 17 Apr 2012 15:21:11 +0200

freediams (0.7.0.beta2-1) UNRELEASED; urgency=low

  [ Eric Maeker ]
  * New upstream
  * updated debian/* files
    - adding dependency to the freemedforms packages
    - rewritten rules
    - remove tilde from version numbering

 -- Eric Maeker <eric.maeker@gmail.com>  Sat, 03 Mar 2012 00:00:00 +0100

freediams (0.7.0~beta1-1) UNRELEASED; urgency=low

  [ Eric Maeker ]
  * New upstream version
    Closes: #656573
  * updating dependencies to Qt 4.7.0
  * updating man page and software descriptions
  * updating debian/copyright (specially for the free drugs database)
  * rules: libz.a is now build outside the source package
  * changing license terms of debian/* files to BSD revised

  [ Andreas Tille ]
  * debian/copyright: Some DEP5 adaptions

 -- Andreas Tille <tille@debian.org>  Tue, 21 Feb 2012 13:35:39 +0100

freediams (0.6.2-1) unstable; urgency=low

  [ Eric Maeker ]
  * New upstream version
  * debian/control: Suggests: ttf-mscorefonts-installer msttcorefonts
  * debian/copyright: Details for databases
    --> Database licenses are non-free

  [ Andreas Tille ]
  * debian/control:
    - Removed suggested msttcorefonts
    - Moved to non-free because databases are not free
      --> needs further discussion how to provide a stripped down
          free alternative
    - freediams:
      Conflicts/Replaces: freediams-data
    - freediams-drugs:
      Conflicts/Replaces: freediams-data
      Breaks: freediams (<< ${source:Version})
      (thanks to Jakub Wilk <jwilk@debian.org> for the hint)
  * debian/{control,rules}: rename freediams-data to freediams-drugs
  * debian/rules: use calculated $(pkg) name instead of "freediams" string
  * Hopefully the new version
      Closes: #648705
    otherwise more info about debian-kbsd is needed

 -- Andreas Tille <tille@debian.org>  Thu, 17 Nov 2011 11:22:54 +0100

freediams (0.6.0-1) unstable; urgency=low

  [ Eric Maeker ]
  * New upstream version

  [ Andreas Tille ]
  * Standards-Version: 3.9.2 (no changes needed)
  * Debhelper 8 (control + compat)
  * Fixed Vcs fields
  * debian/copyright:
    - Adaptions to DEP5
    - Clarified license of several third party files
  * debian/rules: clean some autogenerated *.qm files
  * debian/freediams-doc-{en,fr}.doc-base
  * debian/freediams-doc-{en,fr}.links: Add index.html links as
    documentation index
  * debian/freediams-doc-{en,fr}.install, debian/rules:
    install documentation via dh_install rather than manually
  * debian/freediams.lintian-overrides: override some false
    positives where lintian suspects spelling errors

 -- Andreas Tille <tille@debian.org>  Tue, 08 Nov 2011 10:50:11 +0100

freediams (0.5.9~alpha-1) UNRELEASED; urgency=low

  [ Eric Maeker ]
  * New upstream version

 -- Eric Maeker <eric.maeker@gmail.com>  Fri, 29 Apr 2011 15:06:00 +0100

freediams (0.5.4-1) unstable; urgency=low

  [ Andreas Tille ]


=== debian/control ===
Source: freemedforms-project
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Eric Maeker <eric.maeker@gmail.com>,
 Andreas Tille <tille@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9), libqt4-dev (>= 4.7.0), libxext-dev, zlib1g-dev
Standards-Version: 3.9.3
Homepage: http://www.freemedforms.com/
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/freemedforms-project/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/freemedforms-project/trunk/

Package: freemedforms-project
Architecture: all
Depends: ${misc:Depends},
 freemedforms-emr (>= ${source:Version}),
 freediams (>= ${source:Version}),
 freeaccount (>= ${source:Version})
Description: FreeMedForms project
 The FreeMedForms project provides a set of medical applications to help
 health professionals in their day-to-day practice. It is developed by an
 international community of medical doctors and computer specialists.
 .
 This metapackage installs all applications belonging to
 FreeMedForms project.

Package: freemedforms-theme
Architecture: all
Depends: ${misc:Depends}
Description: theme for the FreeMedForms project
 The FreeMedForms project provides a set of medical applications to help
 health professionals in their day-to-day practice. It is developed by an
 international community of medical doctors and computer specialists.
 .
 Default theme for the FreeMedForms project applications.

Package: freemedforms-i18n
Architecture: all
Depends: ${misc:Depends}
Description: translations of the FreeMedForms project
 The FreeMedForms project provides a set of medical applications to help
 health professionals in their day-to-day practice. It is developed by an
 international community of medical doctors and computer specialists.
 .
 This package contains the translations of the project.

Package: freemedforms-common-resources
Architecture: all
Depends: ${misc:Depends}, freemedforms-theme (= ${source:Version}), freemedforms-i18n (= ${source:Version})
Description: common data for the FreeMedForms project applications
 The FreeMedForms project provides a set of medical applications to help
 health professionals in their day-to-day practice. It is developed by an
 international community of medical doctors and computer specialists.
 .
 This metapackage contains the architecture independent data.

Package: freemedforms-emr-resources
Architecture: all
Depends: ${misc:Depends}
Suggests: freemedforms-freedata (= ${binary:Version})
Description: data for the FreeMedForms EMR
 The FreeMedForms project provides a set of medical applications to help
 health professionals in their day-to-day practice. It is developed by an
 international community of medical doctors and computer specialists.
 .
 This package contains the architecture independent data
 specific to the FreeMedForms EMR.

Package: freemedforms-freedata
Architecture: all
Depends: ${misc:Depends}
Conflicts: freemedforms-emr-resources (<< 0.7.4)
Replaces: freemedforms-emr-resources (<< 0.7.4)
Breaks: freemedforms-emr-resources (<< 0.7.4)
Description: free extra-data for the FreeMedForms project
 The FreeMedForms project provides a set of medical applications to help
 health professionals in their day-to-day practice. It is developed by an
 international community of medical doctors and computer specialists.
 .
 This package contains the architecture independent free
 extra-data (like free drugs database).

Package: freemedforms-emr-doc-en
Architecture: all
Section: doc
Depends: ${misc:Depends}
Enhances: freemedforms-emr
Provides: freemedforms-emr-doc
Description: FreeMedForms EMR english documentation
 The FreeMedForms project provides a set of medical applications to help
 health professionals in their day-to-day practice. It is developed by an
 international community of medical doctors and computer specialists.
 .
 This package contains the English documentation of FreeMedForms EMR.

Package: freemedforms-emr-doc-fr
Architecture: all
Section: doc
Depends: ${misc:Depends}
Enhances: freemedforms-emr
Provides: freemedforms-emr-doc
Description: FreeMedForms EMR french documentation
 The FreeMedForms project provides a set of medical applications to help
 health professionals in their day-to-day practice. It is developed by an
 international community of medical doctors and computer specialists.
 .
 This package contains the French documentation of FreeMedForms EMR.

Package: freediams-doc-en
Architecture: all
Section: doc
Depends: ${misc:Depends}
Enhances: freediams
Provides: freediams-doc
Description: FreeDiams english documentation
 The FreeMedForms project provides a set of medical applications to help
 health professionals in their day-to-day practice. It is developed by an
 international community of medical doctors and computer specialists.
 .
 FreeDiams is a pharmaceutical drug prescriptor assistant.
 It can be used to creation complex prescription and to manage
 drugs interactions.
 .
 This package contains the English documentation of freediams.

Package: freediams-doc-fr
Architecture: all
Section: doc
Depends: ${misc:Depends}
Enhances: freediams
Provides: freediams-doc
Description: FreeDiams french documentation
 The FreeMedForms project provides a set of medical applications to help
 health professionals in their day-to-day practice. It is developed by an
 international community of medical doctors and computer specialists.
 .
 FreeDiams is a pharmaceutical drug prescriptor assistant.
 It can be used to creation complex prescription and to manage
 drugs interactions.
 .
 This package contains the French documentation of freediams.

Package: freemedforms-libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libqt4-core (>= 4:4.7.0), libqt4-gui (>= 4:4.7.0), libqt4-network (>= 4:4.7.0), libqt4-script (>= 4:4.7.0), 
 libqt4-sql (>= 4:4.7.0), libqt4-sql-sqlite (>= 4:4.7.0), libqt4-sql-mysql (>= 4:4.7.0),
 libqt4-svg (>= 4:4.7.0), libqt4-xml (>= 4:4.7.0)
Description: common libs for the FreeMedForms project
 The FreeMedForms project provides a set of medical applications to help
 health professionals in their day-to-day practice. It is developed by an
 international community of medical doctors and computer specialists.
 .
 This package contains common libs of the project.

Package: freemedforms-emr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  freemedforms-libs (= ${binary:Version}),
  freemedforms-freedata (= ${source:Version}),
  freemedforms-common-resources (= ${source:Version}),
  freemedforms-emr-resources (= ${source:Version})
Suggests: freemedforms-emr-doc-en, freemedforms-emr-doc-fr
Replaces: freemedforms
Breaks: freemedforms
Description: electronic medical record manager
 The FreeMedForms project provides a set of medical applications to help
 health professionals in their day-to-day practice. It is developed by an
 international community of medical doctors and computer specialists.
 .
 The main objective of FreeMedForms electronic medical
 records is to manage the EMR based on your medical
 practice or the practice of clinical research groups.

Package: freediams
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 freemedforms-libs (= ${binary:Version}),
 freemedforms-freedata (= ${source:Version}),
 freemedforms-common-resources (= ${source:Version})
Suggests: freediams-doc, ttf-mscorefonts-installer
Conflicts: freediams-data
Description: pharmaceutical drug prescription and interaction manager
 The FreeMedForms project provides a set of medical applications to help
 health professionals in their day-to-day practice. It is developed by an
 international community of medical doctors and computer specialists.
 .
 FreeDiams is a pharmaceutical drug prescription assistant which can be
 used to create complex prescriptions and to handle drug interactions.

Package: freeaccount
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 freemedforms-libs (= ${binary:Version}),
 freemedforms-freedata (= ${source:Version}),
 freemedforms-common-resources (= ${source:Version})
Suggests: ttf-mscorefonts-installer
Description: medical accountancy manager
 The FreeMedForms project provides a set of medical applications to help
 health professionals in their day-to-day practice. It is developed by an
 international community of medical doctors and computer specialists.
 .
 FreeAccount is an medical accountancy manager.
 .
 FreeAccount is fully integrated in the FreeMedForms
 open source EMR and can be used as external
 accountancy manager using its interoperability
 interface.

#Package: freemedforms-project-dbg
#Priority: extra
#Architecture: any
#Section: debug
#Depends: freemedforms-project (= ${binary:Version}), ${misc:Depends}
#Description: debugging symbols for the freemedforms project
# The FreeMedForms project provides a set of medical applications to help
# health professionals in their day-to-day practice. It is developed by an
# international community of medical doctors and computer specialists.
# .
# This package contains the debugging symbols for all the applications
# of the freemedforms project including: libs, emr, freediams, freeaccount.
# .
# This package must be concidered as expiremental.

=== debian/rules ===
#!/usr/bin/make -f
# (c) 2012, Eric Maeker, MD (fr), The FreeMedForms project, BSD revised license
# The @ in front of a command prevents make from displaying

# var: keep the project order (should begin with freemedforms) 
FREEMEDFORMS_EMR := freemedforms
FREEDIAMS := freediams
FREEACCOUNT := freeaccount

QMAKE_CONFIG := "CONFIG+=LINUX_INTEGRATED" -r
QMAKE_SUBPROJECT_CONFIG := "CONFIG+=dontbuildlibs" "CONFIG+=dontinstallresources" "CONFIG+=dontinstalllibs"
QMAKE_IPATH := "INSTALL_ROOT_PATH=/usr/"

# func
AUTOCONF_MAIN =  -D$(1) -- $(QMAKE_CONFIG) $(QMAKE_IPATH) LOWERED_APPNAME="$(1)" $(1).pro
AUTOCONF_SUB =  -D$(1) -- $(QMAKE_CONFIG) $(QMAKE_IPATH) $(QMAKE_SUBPROJECT_CONFIG) LOWERED_APPNAME="$(1)" $(1).pro

%:
	dh $@ --parallel --buildsystem=qmake_qt4 # --dbg-package=freemedforms-project-dbg

override_dh_auto_configure:
	lrelease global_resources/translations/*.ts
	dh_auto_configure $(call AUTOCONF_MAIN, $(FREEMEDFORMS_EMR)) $(extra_configure_opts)
	dh_auto_configure $(call AUTOCONF_SUB, $(FREEDIAMS)) $(extra_configure_opts)
	dh_auto_configure $(call AUTOCONF_SUB, $(FREEACCOUNT)) $(extra_configure_opts)

override_dh_auto_clean:
	rm -Rf bin
	rm -Rf build
	rm -f global_resources/translations/[a-ps-z]*.qm
	dh_auto_clean
	find . -name Makefile -delete

override_dh_auto_build:
	dh_auto_build -D$(FREEMEDFORMS_EMR)
	dh_auto_build -D$(FREEDIAMS)
	dh_auto_build -D$(FREEACCOUNT)

override_dh_auto_install:
	dh_auto_install -D$(FREEMEDFORMS_EMR) -Smakefile -- INSTALL_ROOT=$(CURDIR)/debian/tmp
	dh_auto_install -D$(FREEDIAMS) -Smakefile -- INSTALL_ROOT=$(CURDIR)/debian/tmp
	dh_auto_install -D$(FREEACCOUNT) -Smakefile -- INSTALL_ROOT=$(CURDIR)/debian/tmp

	# Remove empty dirs
	find $(CURDIR)/debian/tmp/usr/share -type d -empty -delete

=== debian/watch ===
version=3
http://code.google.com/p/freemedforms/downloads/list?can=1 .*/freemedformsfullsources-(.+)\.(?:tgz)
